//#region плановый срок
function DeadlineItemData(observer) {
    var that = this;

    var args = [];
    args.push(observer);
    args.push({
        group: 'deadline',
        name: 'deadline',
        selector: '[name="deadline"]',
        useDefaultEvent: true
    });
    ItemData.apply(this, args);

}
DeadlineItemData.prototype = Object.create(ItemData.prototype);
DeadlineItemData.prototype.AppendNotConflictUpdate = function (submitData) {
    $('#deadlinesystem').val(submitData).trigger('change');
    ItemData.prototype.AppendNotConflictUpdate.call(this, submitData);
    autoDeadline = submitData;
}
DeadlineItemData.prototype.ConflictDialogOkCallback = function () {
    var $content = GLOBAL_taskFormHubDialog.getContent();
    var checkedVal = $content.find('[name="conflictradioresolve-' + this._options.name + '"]:checked').val();
    var resolveValue = $content.find('[name="conflictradioresolve-' + this._options.name + '-value' + checkedVal + '"]').val();
    $(this._options.selector).val(resolveValue).trigger('change');
    $('#deadlinesystem').val(resolveValue).trigger('change');
    autoDeadline = resolveValue;
    if (checkedVal == 0) {
        this.SetOldValue();
        this.SendBlockChange();
    }

    //удаляем инфу о конфликте
    this.isConflict = false;
    this.$conflictMessageElement = undefined;
    this.RemoveConflictMessage();

    GLOBAL_taskFormHubDialog.closeDialog();
}
//#endregion